Package ru.bitel.bgbilling.kernel.integration.server.bean

# Class RegisterLoadPattern

java.lang.Object
ru.bitel.bgbilling.kernel.integration.server.bean.RegisterLoadPattern

    public class RegisterLoadPattern
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `TYPE_DBF` |
  `static int` | `TYPE_TXT` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RegisterLoadPattern​(java.lang.String key, java.lang.String title, int fileType, java.lang.String[] balanceItemTypes, int registerType)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getHandlerClassName()` |
  `java.lang.String` | `getKey()` |
  `java.lang.String` | `getPatternTitle()` |
  `java.lang.String` | `getPaymentComment()` |
  `int` | `getRegisterType()` |
  `java.lang.String` | `getTitle()` |
  `Register` | `loadRegister​(java.sql.Connection con, RegisterLoadData data)` |
  `java.lang.String` | `processString​(java.sql.Connection con, RegisterItemManager itemManager, Register register, java.lang.String[] line, java.util.Date pdate)` | разбирает одну линию, возвращает не-null с текстом ошибки, если она есть
  `void` | `setBalanceItemTypes​(int[] paymentType)` |
  `void` | `setCommentDelimiter​(java.lang.String commentDelimiter)` |
  `void` | `setCommentPositions​(java.lang.String[] commentPositions)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDateFormat​(java.text.DateFormat dateFormat)` |
  `void` | `setDatePos​(int datePos)` |
  `void` | `setEncoding​(java.lang.String encoding)` |
  `void` | `setHandlerClassName​(java.lang.String handlerClassName)` |
  `void` | `setIdPos​(int idPos)` |
  `void` | `setPattern​(java.util.regex.Pattern pattern)` |
  `void` | `setPatternTitle​(java.lang.String patternTitle)` |
  `void` | `setRegisterType​(int registerType)` |
  `void` | `setSearchContracts​(SearchContracts contractFinders)` |
  `void` | `setSummaPos​(int[] summaPos)` |
  `void` | `setSummaPos​(java.lang.String[] summaPos)` |
  `void` | `setSummaReplace​(java.lang.String summaReplace)` |
  `void` | `setType​(int type)` |
  `void` | `setZeroEncoding​(boolean zeroEncoding)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_TXT

    public static final int TYPE_TXT
    See Also:
      Constant Field Values

  - ### TYPE_DBF

    public static final int TYPE_DBF
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### RegisterLoadPattern

    public RegisterLoadPattern​(java.lang.String key, java.lang.String title, int fileType, java.lang.String[] balanceItemTypes, int registerType)

- ## Method Details

  - ### loadRegister

    public Register loadRegister​(java.sql.Connection con, RegisterLoadData data) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### processString

    public java.lang.String processString​(java.sql.Connection con, RegisterItemManager itemManager, Register register, java.lang.String[] line, java.util.Date pdate)
    разбирает одну линию, возвращает не-null с текстом ошибки, если она есть

  - ### getKey

    public java.lang.String getKey()

  - ### setEncoding

    public void setEncoding​(java.lang.String encoding) throws java.io.UnsupportedEncodingException
    Throws:
      `java.io.UnsupportedEncodingException`

  - ### setSummaPos

    public void setSummaPos​(int[] summaPos)

  - ### setSummaPos

    public void setSummaPos​(java.lang.String[] summaPos)

  - ### setIdPos

    public void setIdPos​(int idPos)

  - ### setContractId

    public void setContractId​(int contractId)

  - ### setCommentPositions

    public void setCommentPositions​(java.lang.String[] commentPositions)

  - ### setSearchContracts

    public void setSearchContracts​(SearchContracts contractFinders)

  - ### getPaymentComment

    public java.lang.String getPaymentComment()

  - ### setSummaReplace

    public void setSummaReplace​(java.lang.String summaReplace)

  - ### setType

    public void setType​(int type)

  - ### setPattern

    public void setPattern​(java.util.regex.Pattern pattern)

  - ### setBalanceItemTypes

    public void setBalanceItemTypes​(int[] paymentType)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setDatePos

    public void setDatePos​(int datePos)

  - ### setDateFormat

    public void setDateFormat​(java.text.DateFormat dateFormat)

  - ### setZeroEncoding

    public void setZeroEncoding​(boolean zeroEncoding)

  - ### getPatternTitle

    public java.lang.String getPatternTitle()

  - ### setPatternTitle

    public void setPatternTitle​(java.lang.String patternTitle)

  - ### getRegisterType

    public int getRegisterType()

  - ### setRegisterType

    public void setRegisterType​(int registerType)

  - ### setCommentDelimiter

    public void setCommentDelimiter​(java.lang.String commentDelimiter)

  - ### getHandlerClassName

    public java.lang.String getHandlerClassName()

  - ### setHandlerClassName

    public void setHandlerClassName​(java.lang.String handlerClassName)